/* WATCH PAGE */

.archive-container .filter-container {
	display: none;
}

.archive-container {
	display: flex;
	padding: var(--gutter) var(--margin);
	gap: var(--gutter);
}

.archive-container #search-container {
	justify-content: start;
	margin-bottom: 0;
	width: 100%;
	flex-direction: column;
	gap: 10px;
	margin-top: var(--gutter);
}
.archive-container #search-bar {
	width: 100%;
}


#kdramas-grid {
	display: flex;
	flex-wrap: wrap;
	gap: var(--gutter);
}

#kdramas-grid .post-container, #kdramas-grid .post-img img, #kdramas-grid .post-title, #kdramas-grid .post-description {
	cursor: default;
}

#kdramas-grid .post-container {
	position: relative;
	display: flex;
	flex-direction: column;
	gap: var(--gutter);
	width: calc((100% - 40px) / 3);
}


.post-img {
	position: relative;
}

.post-img img{
	width: 100%;
	border-radius: 5px;
	aspect-ratio: 16 / 9;
	object-fit: cover;
}

.post-copyright {
	font-size: xx-small;
	color: var(--white);
	position: absolute;
	bottom: 8px;
	left: 5px;
}

.post-text {
	display: flex;
	flex-direction: column;
	gap: 10px;
}

.post-title {
	font-weight: 400;
	font-size: var(--large-text);
	/* cursor: pointer; */
}

.post-description {
	font-size: var(--med-text);
}

.post-tags {
	display: flex;
	column-gap: 5px;
	align-items: center;
}

.post-tags p {
	border-radius: 5px;
	font-weight: 700;
	font-size: var(--small-text);
	text-transform: uppercase;
	margin: 0;
}

.post-container a {
	background-color: var(--white);
	color: var(--black);
	text-transform: uppercase;
	border: 1px solid var(--grey);
	border-radius: 5px;
	padding: 5px 7px;
	font-size: var(--small-text);
	font-weight: 700;
	/* text-align: center; */
	cursor: pointer;
	width: fit-content;
}

.post-container a:hover {
	background-color: var(--purple);
	color: var(--white);
	text-transform: uppercase;
	border: 1px solid var(--purple);
}



.post-numbers {
	font-size: var(--small-text);
	font-weight: 700;
	text-transform: uppercase;
	column-gap: 5px;
	display: flex;
	flex-wrap: wrap;
}

.post-rating {
  position: relative;
  cursor: help;
}

/* Tooltip bubble */
.tooltip-text {
  visibility: hidden;
  opacity: 0;
  width: max-content;
  max-width: 220px;
  background-color: var(--white);
  color: var(--black);
  text-align: left;
  padding: 5px 7px;
  border-radius: 5px;
  position: absolute;
  z-index: 10;
  top: 20px;
  left: 50%;
  /* transform: translateX(-50%); */
  font-size: var(--small-text);
  transition: opacity 0.2s ease, visibility 0.2s ease;
  white-space: normal;
  border: 1px solid var(--grey);
  box-shadow: 0 0 5px 1px rgba(0, 0, 0, 0.1);
}
/* Show tooltip on hover */
.post-rating:hover .tooltip-text {
  visibility: visible;
  opacity: 1;
}

#kdramas-grid .post-description {
	line-height: 1.2;
}

#kdramas-grid .post-tags {
	flex-wrap: wrap;
}

/* where to watch */
.post-platforms {
  display: flex;
  gap: 5px;
  flex-wrap: wrap;
  cursor: pointer;
}

.post-platforms a {
  padding: 5px 7px;
  border-radius: 5px;
  border: 1px solid var(--grey);
  text-decoration: none;
  font-size: var(--small-text);
  cursor: pointer;
  font-weight: 500;
}

.post-platforms a:hover {
  background-color: var(--pink);
  border-color: var(--pink);
  color: var(--white);
}


/* FILTER */
.filter-container {
	/* position: fixed; */
	width: 17vw;
	max-height: 80vh;
	overflow-y: auto;
	border: 1px solid var(--grey);
	padding: var(--gutter);
	padding-right: calc(var(--gutter) + 5px);
	display: flex;
	flex-direction: column;
	gap: var(--gutter);
}

#viewAll {
	font-size: var(--med-text);
	border: 1px solid var(--grey);
	padding: 5px 7px;
	border-radius: 5px;
	cursor: pointer;
	width: 100%;
	transition: all 0.2s;
}

#viewAll.active {
	background-color: var(--pink);
	color: var(--white);
	border-color: var(--pink);
}
.filter-button.view-all.inactive {
	background-color: var(--white);
}

.filter-container h3 {
	text-transform: uppercase;
	font-size: var(--med-text);
	padding-bottom: 10px;
	border-bottom: 1px solid var(--grey);
}

.filter-span {
	display: flex;
	flex-direction: column;
}
.filter-group {
	padding: 10px 0;
	display: flex;
	flex-direction: column;
}

.filter-button {
	background-color: transparent;
	border: none;
	padding: 5px 7px;
	border-radius: 5px;
	cursor: pointer;
	display: inline-flex;
	align-items: center;
	text-align: center;
	font-size: var(--med-text);
}

.filter-button:hover {
	background-color: var(--grey);
}

.filter-button.selected, #viewAll.selected {
  background-color: var(--pink);
  color: var(--white);
}

.filter-group {
	display: flex;
	flex-direction: column;
}

.filter-container p {
	font-size: var(--small-text);
	font-weight: 400;
	font-style: italic;
}

.type-filter .filter-group {
	flex-direction: row;
	gap: 5px;
}
.type-filter {
	display: flex;
	gap: var(--gutter);
	align-items: baseline;
}
.type-filter .filter-group button {
	border: 0.5px solid var(--grey);
}
.type-filter .filter-button.selected {
	border: 0.5px solid var(--pink);
}

.theme-filter {
  display: none;
}


@media (max-width: 700px) {
#kdramas-grid .post-container {
	width: 100%;
}
}